

<div class="mapContainer">

    <!--ng-controller="openLayerMap"-->
    <div class="laneMapBox">
        <div id="laneMap"></div>

        <div class="minMax">
            <img src="images/max.png">
        </div>
    </div>

    <div class="camPopup laneCam">
        <div class="close subNormal">X</div>
        <div class="videoMain">
            <img class="loadingBar" src="images/loader.GIF">
            <video class="video" id="camVideo" src="" type="video/mp4" muted loop autoplay></video>
        </div>
        <div class="camDetails">
            <div class="floatLeft">
                <div class="lane normal">Lane 3</div>
                <div class="name smallest">Camera 52</div>
            </div>
            <div class="floatRight">
                <img src="images/camIcon.png" alt="" class="videoIcon">
            </div>
            <span class="clear"></span>
        </div>
        <!--<ul class="indicatorsList">-->
            <!--<li>-->
                <!--<div class="roboRegular smallest">-->
                    <!--<span class="">Traffic</span>-->
                    <!--<span class="marginLeftSrt">51%</span>-->
                <!--</div>-->
                <!--<div class="indicator green"></div>-->
            <!--</li>-->
            <!--<li>-->
                <!--<div class="roboRegular smallest">-->
                    <!--<span class="">Speed</span>-->
                    <!--<span class="marginLeftSr">64%</span>-->
                <!--</div>-->
                <!--<div class="indicator orange"></div>-->
            <!--</li>-->
            <!--<li>-->
                <!--<div class="roboRegular smallest">-->
                    <!--<span class="">Occupancy</span>-->
                    <!--<span class="marginLeftSrt">83%</span>-->
                <!--</div>-->
                <!--<div class="indicator red"></div>-->
            <!--</li>-->
            <!--<li>-->
                <!--<div class="roboRegular smallest">-->
                    <!--<span class="">Volume</span>-->
                    <!--<span class="marginLeftSrt">58%</span>-->
                <!--</div>-->
                <!--<div class="indicator orangeB"></div>-->
            <!--</li>-->
            <!--<span class="clear"></span>-->
        <!--</ul>-->
    </div>

</div>


<div class="currentDateBox borderTop">
  <!--Moved to file templates/includes/realTimeGraph.html-->
    <!--<div class="dropDown small floatRight round marginBtmSml">
        <div data-init="0" class="head lightGreyBack">
            <div class="headTitle" ng-click="setSecondsForRealTimeData(30)">Now (Last 30 sec)</div>
            <img class="sign" alt="down" src="images/downArrow.png">
        </div>
        <ul class="list" style="">
            &lt;!&ndash;<li >Now (Last 30 sec)</li>&ndash;&gt;
            <li ng-click="setSecondsForRealTimeData(300)">5 minutes</li>
            <li ng-click="setSecondsForRealTimeData(900)">15 minutes</li>
            <li ng-click="setSecondsForRealTimeData(1800)">30 minutes</li>
            <li ng-click="setSecondsForRealTimeData(3600)">1 Hour</li>
        </ul>
    </div>
    <span class="clear"></span>


    <div class="dataBox">
        <div class="zoneMatLegend">
            <div class="legend midBlock">
                <div class="circle midBlock normal"></div>
                <div class="txt midBlock">Color 1</div>
            </div>
            <div class="legend midBlock">
                <div class="circle midBlock mid"></div>
                <div class="txt midBlock">Color 2</div>
            </div>
            <div class="legend midBlock">
                <div class="circle midBlock more"></div>
                <div class="txt midBlock">Color 3</div>
            </div>
            <div class="legend midBlock">
                <div class="circle midBlock "></div>
                <div class="txt midBlock">Color 4</div>
            </div>
        </div>

        <div class="zoneStatus noLine midBlock">
            <ul>
                <li>
                    <div class="name"></div>
                    <div class="statusBox zone1">
                        <label class="" id="zone1">
                            <div class="checkbox midBlock">
                                <input type="checkbox" checked>
                                <div class="box"></div>
                            </div>
                            <div class="txt midBlock" ng-click="fetchRealTimeDataByZOneSelected(1)">Zone 1</div>
                        </label>
                    </div>
                    <div class="statusBox zone2">
                        <label class="" id="zone2">
                            <div class="checkbox midBlock">
                                <input type="checkbox" checked>
                                <div class="box"></div>
                            </div>
                            <div class="txt midBlock" ng-click="fetchRealTimeDataByZOneSelected(2)">Zone 2</div>
                        </label>
                    </div>
                    <div class="statusBox zone3">
                        <label class="" id="zone3">
                            <div class="checkbox midBlock">
                                <input type="checkbox" checked>
                                <div class="box"></div>
                            </div>
                            <div class="txt midBlock" ng-click="fetchRealTimeDataByZOneSelected(3)">Zone 3</div>
                        </label>
                        &lt;!&ndash;<div class="txt btn" id="zone3" data-init=0  ng-click="fetchRealTimeDataForZone('zone','zone3')">&ndash;&gt;
                        &lt;!&ndash;<div class="check midBlock"></div>&ndash;&gt;
                        &lt;!&ndash;<div class="txt midBlock">Zone 3</div>&ndash;&gt;
                        &lt;!&ndash;</div>&ndash;&gt;
                    </div>
                </li>
                <li>
                    <div class="statusBox">
                        <label class="" id="lane1">
                            <div class="checkbox midBlock">
                                <input type="checkbox" checked>
                                <div class="box"></div>
                            </div>
                            <div class="txt midBlock" ng-click="fetchRealTimeDataByLaneSelected(1)">Lane 1</div>
                        </label>
                        &lt;!&ndash;<div class="txt btn" id="lane1" data-init=0 >&ndash;&gt;
                        &lt;!&ndash;<div class="check midBlock"></div>&ndash;&gt;
                        &lt;!&ndash;<div class="txt midBlock">Lane 1</div>&ndash;&gt;
                        &lt;!&ndash;</div>&ndash;&gt;
                    </div>
                    <div class="statusBox lane1">
                        <div class="statusMain zone1 lane1 active" data-init=0 ng-click="fetchRealTimeDataBySelectedPoint(1,1)">
                            <div class="status more"></div>
                        </div>
                    </div>
                    <div class="statusBox lane1">
                        <div class="statusMain zone2 lane1 active" data-init=0 ng-click="fetchRealTimeDataBySelectedPoint(2,1)">
                            <div class="status mid"></div>
                        </div>
                    </div>
                    <div class="statusBox lane1">
                        <div class="statusMain zone3 lane1 active" data-init=0 ng-click="fetchRealTimeDataBySelectedPoint(3,1)">
                            <div class="status normal"></div>
                        </div>
                    </div>
                </li>
                <li>
                    <div class="statusBox">
                        <label class="" id="lane2">
                            <div class="checkbox midBlock">
                                <input type="checkbox" checked>
                                <div class="box"></div>
                            </div>
                            <div class="txt midBlock" ng-click="fetchRealTimeDataByLaneSelected(2)">Lane 2</div>
                        </label>
                    </div>
                    <div class="statusBox lane2">
                        <div class="statusMain zone1 lane2 active" data-init=0 ng-click="fetchRealTimeDataBySelectedPoint(1,2)">
                            <div class="status"></div>
                        </div>
                    </div>
                    <div class="statusBox lane2">
                        <div class="statusMain zone2 lane2 active" data-init=0 ng-click="fetchRealTimeDataBySelectedPoint(2,2)">
                            <div class="status normal"></div>
                        </div>
                    </div>
                    <div class="statusBox lane2">
                        <div class="statusMain zone3 lane2 active" data-init=0 ng-click="fetchRealTimeDataBySelectedPoint(3,2)">
                            <div class="status mid"></div>
                        </div>
                    </div>
                </li>
                <li>
                    <div class="statusBox">
                        <label class="" id="lane3">
                            <div class="checkbox midBlock">
                                <input type="checkbox" checked>
                                <div class="box"></div>
                            </div>
                            <div class="txt midBlock" ng-click="fetchRealTimeDataByLaneSelected(3)">Lane 3</div>
                        </label>
                    </div>
                    <div class="statusBox lane3">
                        <div class="statusMain zone1 lane3 active" data-init=0 ng-click="fetchRealTimeDataBySelectedPoint(1,3)">
                            <div class="status"></div>
                        </div>
                    </div>
                    <div class="statusBox lane3">
                        <div class="statusMain zone2 lane3 active" data-init=0 ng-click="fetchRealTimeDataBySelectedPoint(2,3)">
                            <div class="status mid"></div>
                        </div>
                    </div>
                    <div class="statusBox lane3">
                        <div class="statusMain zone3 lane3 active" data-init=0 ng-click="fetchRealTimeDataBySelectedPoint(3,3)">
                            <div class="status normal"></div>
                        </div>
                    </div>
                </li>
                <li>
                    <div class="statusBox">
                        <label class="" id="lane4">
                            <div class="checkbox midBlock">
                                <input type="checkbox" checked>
                                <div class="box"></div>
                            </div>
                            <div class="txt midBlock" ng-click="fetchRealTimeDataByLaneSelected(4)">Lane 4</div>
                        </label>
                    </div>
                    <div class="statusBox lane4">
                        <div class="statusMain zone1 lane4 active" data-init=0 ng-click="fetchRealTimeDataBySelectedPoint(1,4)">
                            <div class="status mid"></div>
                        </div>
                    </div>
                    <div class="statusBox lane4">
                        <div class="statusMain zone2 lane4 active" data-init=0 ng-click="fetchRealTimeDataBySelectedPoint(2,4)">
                            <div class="status more"></div>
                        </div>
                    </div>
                    <div class="statusBox lane4">
                        <div class="statusMain zone3 lane4 active" data-init=0 ng-click="fetchRealTimeDataBySelectedPoint(3,4)">
                            <div class="status more"></div>
                        </div>
                    </div>
                </li>
                <li>
                    <div class="statusBox">
                        <label class="" id="lane5">
                            <div class="checkbox midBlock">
                                <input type="checkbox" checked>
                                <div class="box"></div>
                            </div>
                            <div class="txt midBlock" ng-click="fetchRealTimeDataByLaneSelected(5)">Lane 5</div>
                        </label>
                    </div>
                    <div class="statusBox lane5">
                        <div class="statusMain zone1 lane5 active" data-init=0 ng-click="fetchRealTimeDataBySelectedPoint(1,5)">
                            <div class="status normal"></div>
                        </div>
                    </div>
                    <div class="statusBox lane5">
                        <div class="statusMain zone2 lane5 active" data-init=0 ng-click="fetchRealTimeDataBySelectedPoint(2,5)">
                            <div class="status mid"></div>
                        </div>
                    </div>
                    <div class="statusBox lane5">
                        <div class="statusMain zone3 lane5 active" data-init=0 ng-click="fetchRealTimeDataBySelectedPoint(3,5)">
                            <div class="status"></div>
                        </div>
                    </div>
                </li>
            </ul>
        </div>

        <div class="midBlock matricAnalytics">
            <ul>
                <li>
                    <div class="tag">Occupancy</div>
                    <div class="txt">{{realTimeGraphFeautures.metrics.occupancy}}<span>%</span></div>
                </li>
                <li>
                    <div class="tag">{{realTimeGraphFeautures.flowName}}</div>
                    <div class="txt">{{realTimeGraphFeautures.metrics.volume}}<span>vh/min</span></div>
                </li>
                <li>
                    <div class="tag">Speed</div>
                    <div class="txt">{{realTimeGraphFeautures.metrics.speed}}<span>km/hr</span></div>
                </li>
                <li>
                    <div class="tag">Space Headway</div>
                    <div class="txt">{{realTimeGraphFeautures.metrics.spaceHeadway}}<span>mtrs</span></div>
                </li>
                <li>
                    <div class="tag">Time Headway</div>
                    <div class="txt">{{realTimeGraphFeautures.metrics.timeHeadway}}<span>s</span></div>
                </li>
            </ul>
        </div>


        &lt;!&ndash;<div class="midBlock circles">&ndash;&gt;
            &lt;!&ndash;<div class="midBlock circle">&ndash;&gt;
                &lt;!&ndash;<div class="name">Occupancy</div>&ndash;&gt;
                &lt;!&ndash;<solid-gauge value="58" color="#616a71" id="OccupancyGraph"></solid-gauge>&ndash;&gt;
            &lt;!&ndash;</div>&ndash;&gt;
            &lt;!&ndash;<div class="midBlock circle">&ndash;&gt;
                &lt;!&ndash;<div class="name">{{realTimeGraphFeautures.flowName}}</div>&ndash;&gt;
                &lt;!&ndash;<solid-gauge value="30" color="#a2c581" suffix="vh/min" id="volumeGraph"></solid-gauge>&ndash;&gt;
            &lt;!&ndash;</div>&ndash;&gt;
            &lt;!&ndash;<div class="midBlock circle">&ndash;&gt;
                &lt;!&ndash;<div class="name">Occupancy</div>&ndash;&gt;
                &lt;!&ndash;<solid-gauge value="43" color="#a2c581" suffix="kmph" id="SpeedGraph"></solid-gauge>&ndash;&gt;
            &lt;!&ndash;</div>&ndash;&gt;
            &lt;!&ndash;<div class="midBlock circle">&ndash;&gt;
                &lt;!&ndash;<div class="name">Space Headway</div>&ndash;&gt;
                &lt;!&ndash;<solid-gauge value="48" color="#616a71" suffix="mtrs" id="spaceHeadwayDial"></solid-gauge>&ndash;&gt;
            &lt;!&ndash;</div>&ndash;&gt;
            &lt;!&ndash;<div class="midBlock circle">&ndash;&gt;
                &lt;!&ndash;<div class="name">Time Headway</div>&ndash;&gt;
                &lt;!&ndash;<solid-gauge value="48" color="#616a71" suffix="s" id="timeHeadwayDial"></solid-gauge>&ndash;&gt;
            &lt;!&ndash;</div>&ndash;&gt;
        &lt;!&ndash;</div>&ndash;&gt;
        <span class="clear"></span>

    </div>

    <div class="currentGraph relative">
       <div class="graphControl adjust">
           <div class="dropDown small floatRight round marginBtmSml">
               <div data-init="0" class="head lightGreyBack">
                   <div class="headTitle">Speed</div>
                   <img class="sign" alt="down" src="images/downArrow.png">
               </div>
               <ul class="list" style="">
                   <li>Flow</li>
                   <li>Occupancy</li>
                   <li>Speed</li>
                   <li>Space Headway</li>
                   <li>Time Headway</li>
               </ul>
           </div>
           <span class="clear"></span>
       </div>

        &lt;!&ndash;added lengend for graph&ndash;&gt;


        <div class="graphBox">
            <area-Spline x="xAxis" y="yAxis" legend="true" xlabel="true" ylabel="true" grid="1" id="realTimeChartGraph"></area-Spline>
            <div class="dataMsg"></div>
        </div>
    </div>-->
  <div ng-include="'templates/includes/realTimeGraphIncludingMetrics.html'"></div>
</div>


<div class="lanesGraph borderTop graphMain">
    <!--<div class="graphTitle subTitle marginBtm">Lane Analytics</div>

    <div class="controls">
        <div class="graphToggle midBlock marginRgt">
            <label class="">
                <div class="checkbox midBlock">
                    <input type="checkbox" checked ng-model="graphCheckboxValue.historicalData.laneWiseData.zoneValues.zone1" ng-click="fetchLaneWiseGraphBySelectedZones()">
                    <div class="box"></div>
                </div>
                <div class="txt midBlock">Zone 1</div>
            </label>
            <label class="">
                <div class="checkbox midBlock">
                    <input type="checkbox" checked ng-model="graphCheckboxValue.historicalData.laneWiseData.zoneValues.zone2" ng-click="fetchLaneWiseGraphBySelectedZones()">
                    <div class="box"></div>
                </div>
                <div class="txt midBlock">Zone 2</div>
            </label>
            <label class="">
                <div class="checkbox midBlock">
                    <input type="checkbox" checked ng-model="graphCheckboxValue.historicalData.laneWiseData.zoneValues.zone3" ng-click="fetchLaneWiseGraphBySelectedZones()">
                    <div class="box"></div>
                </div>
                <div class="txt midBlock">Zone 3</div>
            </label>
        </div>
        <div class="dropDown small marginLeft midBlock round">
            <div data-init="0" class="head lightGreyBack">
                <div class="headTitle">Area Spline</div>
                <img class="sign" alt="down" src="images/downArrow.png">
            </div>
            <ul class="list" style="">
                <li ng-click="chartTypeUpdate('areaspline','.lanesData','.areaSpline')">Area Spline</li>
                <li ng-click="chartTypeUpdate('column','.lanesData','.areaSpline')">Column</li>
                <li ng-click="chartTypeUpdate('spline','.lanesData','.areaSpline')">Spline</li>
                <li ng-click="chartTypeUpdate('area','.lanesData','.areaSpline')">Spark Line</li>
            </ul>
        </div>
        <div class="dropDown small midBlock marginLeft round">
            <div data-init="0" class="head lightGreyBack">
                <div class="headTitle">Speed</div>
                <img class="sign" alt="down" src="images/downArrow.png">
            </div>
            <ul class="list" style="">
                <li ng-click="fetchZoneRoadAnalyticsDataByType('speed')">Speed</li>
                <li ng-click="fetchZoneRoadAnalyticsDataByType('timeHeadway')">Time Headway</li>
                <li ng-click="fetchZoneRoadAnalyticsDataByType('spaceHeadway')">Space Headway</li>
                <li ng-click="fetchZoneRoadAnalyticsDataByType('flow')">Flow</li>
            </ul>
        </div>
    </div>

    <div class="lanesData">
        <div class="graphBox">
            <area-Spline x="xAxisColumn" y="laneYAxis1" legend="true" xlabel="false" ylabel="false" grid="0"
                         id="indLane1"></area-Spline>
            <div class="dataMsg" ng-show="loader.vehicleAnalyticsLaneGraph"></div>
        </div>

        <div class="graphBox">
            <area-Spline x="xAxisColumn" y="laneYAxis2" legend="true" xlabel="false" ylabel="false" grid="0"
                         id="indLane2"></area-Spline>
            <div class="dataMsg" ng-show="loader.vehicleAnalyticsLaneGraph"></div>
        </div>
        <div class="graphBox">
            <area-Spline x="xAxisColumn" y="laneYAxis3" legend="true" xlabel="false" ylabel="false" grid="0"
                         id="indLane3"></area-Spline>
            <div class="dataMsg" ng-show="loader.vehicleAnalyticsLaneGraph"></div>
        </div>

        <div class="graphBox">
            <area-Spline x="xAxisColumn" y="laneYAxis4" legend="true" xlabel="false" ylabel="false" grid="0"
                         id="indLane4"></area-Spline>
            <div class="dataMsg" ng-show="loader.vehicleAnalyticsLaneGraph"></div>
        </div>

        <div class="graphBox">
            <area-Spline x="xAxisColumn" y="laneYAxis5" legend="true" xlabel="true" ylabel="false" grid="0"
                         id="indLane5"></area-Spline>
            <div class="dataMsg" ng-show="loader.vehicleAnalyticsLaneGraph"></div>
        </div>
    </div>-->
  <!--Moved to file templates/includes/laneWiseChart.html-->
  <div ng-include="'templates/includes/laneWiseChart.html'"></div>
</div>


<div class="zoneGraph borderTop graphMain marginBtm">
    <div class="graphTitle subTitle marginBtm">Zone Analytics</div>

   <!-- <div class="controls marginBtm">
        <div class="graphToggle midBlock marginRgt">
        <label class="" ng-click="fetchZoneWiseDataForZoneGraph()">
          <div class="checkbox midBlock">
            <input type="checkbox" checked checklist-model="graphDataFilters.wholeZoneAnalytics.laneArray" checklist-value="1" >
            <div class="box"></div>
          </div>
          <div class="txt midBlock" >Lane 1</div>
        </label>
        <label class="" ng-click="fetchZoneWiseDataForZoneGraph()">
          <div class="checkbox midBlock">
            <input type="checkbox" checked checklist-model="graphDataFilters.wholeZoneAnalytics.laneArray" checklist-value="2" >
            <div class="box"></div>
          </div>
          <div class="txt midBlock" >Lane 2</div>
        </label>
        <label class="" ng-click="fetchZoneWiseDataForZoneGraph()">
          <div class="checkbox midBlock">
            <input type="checkbox" checked checklist-model="graphDataFilters.wholeZoneAnalytics.laneArray" checklist-value="3" >
            <div class="box"></div>
          </div>
          <div class="txt midBlock" >Lane 3</div>
        </label>
        <label class="" ng-click="fetchZoneWiseDataForZoneGraph()">
          <div class="checkbox midBlock">
            <input type="checkbox" checked checklist-model="graphDataFilters.wholeZoneAnalytics.laneArray" checklist-value="4" >
            <div class="box"></div>
          </div>
          <div class="txt midBlock" >Lane 4</div>
        </label>
        <label class="" ng-click="fetchZoneWiseDataForZoneGraph()">
          <div class="checkbox midBlock">
            <input type="checkbox" checked checklist-model="graphDataFilters.wholeZoneAnalytics.laneArray" checklist-value="5" >
            <div class="box"></div>
          </div>
          <div class="txt midBlock" >Lane 5</div>
        </label>
      </div>
        <div class="dropDown small marginLeft midBlock round">
            <div data-init="0" class="head lightGreyBack">
                <div class="headTitle">Area Spline</div>
                <img class="sign" alt="down" src="images/downArrow.png">
            </div>
            <ul class="list" style="">
                <li ng-click="chartTypeUpdate('areaspline','.zoneGraph','.areaSpline')">Area Spline</li>
                <li ng-click="chartTypeUpdate('column','.zoneGraph','.areaSpline')">Column</li>
                <li ng-click="chartTypeUpdate('spline','.zoneGraph','.areaSpline')">Spline</li>
                <li ng-click="chartTypeUpdate('area','.zoneGraph','.areaSpline')">Spark Line</li>
            </ul>
        </div>
        <div class="dropDown small midBlock marginLeft round">
        <div data-init="0" class="head lightGreyBack">
          <div class="headTitle">Speed</div>
          <img class="sign" alt="down" src="images/downArrow.png">
        </div>
        <ul class="list" style="">
          <li ng-click="fetchWholeZoneAnalyticsByType('zoneSpeed')"> Speed</li>
          <li ng-click="fetchWholeZoneAnalyticsByType('zoneOccupancy')">Occupancy</li>
        </ul>
      </div>
    </div>
    <div class="graphBox">
        <spline-graph x="xAxis" y="yAxis" legend="false" xlabel="true" ylabel="true" grid="1"></spline-graph>
        <div class="dataMsg"></div>
    </div>-->
  <!--Moved to file templates/includes/ZoneWiseChart.html-->
  <div ng-include="'templates/includes/zoneWiseChart.html'"></div>
</div>

